Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class TourAgentSelector

    java.lang.Object
      org.ascape.model.engine.TourAgentSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AgentSelector, Selector

Direct Known Subclasses:
  PartialTourAgentSelector

    public class TourAgentSelector

extends java.lang.Object
implements AgentSelector, java.io.Serializable

The Class TourAgentSelector.

See Also:
  Serialized Form

Constructor Summary
`TourAgentSelector(IncrementalExecutionStrategy strategy)` Instantiates a new tour agent selector.

Method Summary
`java.lang.Object` | `clone()` Clone.
`IncrementalExecutionStrategy` | `getStrategy()` Gets the strategy.
`boolean` | `hasMoreAgents()` Checks for more agents.
`Agent` | `nextAgent()` Next agent.
`void` | `reset()` Reset.
`void` | `setStrategy(IncrementalExecutionStrategy strategy)` Sets the strategy.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TourAgentSelector

    public TourAgentSelector(IncrementalExecutionStrategy strategy)

  Instantiates a new tour agent selector.

  Parameters:
    `strategy` - the strategy

Method Detail

### hasMoreAgents

    public boolean hasMoreAgents()

  Description copied from interface: `AgentSelector`
  Checks for more agents.

  Specified by:
    `hasMoreAgents` in interface `AgentSelector`
  Returns:
    true, if successful

### nextAgent

    public Agent nextAgent()

  Description copied from interface: `AgentSelector`
  Next agent.

  Specified by:
    `nextAgent` in interface `AgentSelector`
  Returns:
    the agent

### reset

    public void reset()

  Description copied from interface: `Selector`
  Reset.

  Specified by:
    `reset` in interface `Selector`

### getStrategy

    public IncrementalExecutionStrategy getStrategy()

  Description copied from interface: `AgentSelector`
  Gets the strategy.

  Specified by:
    `getStrategy` in interface `AgentSelector`
  Returns:
    the strategy

### setStrategy

    public void setStrategy(IncrementalExecutionStrategy strategy)

  Description copied from interface: `AgentSelector`
  Sets the strategy.

  Specified by:
    `setStrategy` in interface `AgentSelector`
  Parameters:
    `strategy` - the new strategy

### clone

    public java.lang.Object clone()

  Description copied from interface: `Selector`
  Clone.

  Specified by:
    `clone` in interface `Selector`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD